<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-事件绑定的兼容</title>
	<style type="text/css">
		
	</style>
	<script type="text/javascript">	
		function myAddEvent(obj,ev,fun){
			if(obj.attachEvent){
				// IE下的事件绑定
				obj.attachEvent('on'+ev,fun);
				obj.attachEvent('on'+ev, fun);
			}else{
				// 其他浏览器下的事件绑定
				obj.addEventListener(ev,fun,false);
				obj.addEventListener(ev,fun,false);
			}
		}
		window.onload=function(){
			var btn=document.getElementById('btn');
			myAddEvent(btn,'click',function(){
				alert("a");
			});
			myAddEvent(btn,'click',function(){
				alert("b");
			});
		/*
			if(btn.attachEvent){
				// IE下的事件绑定
				btn.attachEvent('onclick', function(){
					alert("a");
				});
				btn.attachEvent('onclick', function(){
					alert("b");
				});
			}else{
				// 其他浏览器下的事件绑定
				btn.addEventListener('click',function(){
				alert("a");
				});
				btn.addEventListener('click',function(){
					alert("b");
				});
			}
		*/
		};
		
	</script>
</head>
<body>
	<div id="box">
		<input type="button" name="" value="按钮" id="btn"/>
	</div>
</body>
</html>